Bug 8385 - searchengine/solr/indexes.tt fails 'prove ./xt/tt_valid.t' test
Summary: searchengine/solr/indexes.tt fails 'prove ./xt/tt_valid.t' test
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on: 8407
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 06:13 UTC by Mason James
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8385: FIX spaces to make tt_valid.t happy (1.57 KB, patch)
2012-07-13 07:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8385: FIX spaces to make tt_valid.t happy (2.38 KB, patch)
2012-07-16 15:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8385: FIX spaces to make tt_valid.t happy (2.49 KB, patch)
2012-07-18 02:54 UTC, Mason James
Details | Diff | Splinter Review
Bug 8385: Dirty patch to make tt_valid.t happy (4.29 KB, patch)
2012-08-01 13:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2012-07-09 06:13:22 UTC
$ prove ./xt/tt_valid.t
./xt/tt_valid.t .. 1/1 
#   Failed test 'TT syntax: not using TT directive within HTML tag'
#   at ./xt/tt_valid.t line 55.
# Files list: 
# intranet-tmpl/prog/en/modules/admin/searchengine/solr/indexes.tt: 132, 133, 134, 135, 136, 137, 141, 144
# Looks like you failed 1 test of 1.
./xt/tt_valid.t .. Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

Test Summary Report
-------------------
./xt/tt_valid.t (Wstat: 256 Tests: 1 Failed: 1)
  Failed test:  1
  Non-zero exit status: 1
Files=1, Tests=1,  3 wallclock secs ( 0.02 usr  0.00 sys +  2.62 cusr  0.04 csys =  2.68 CPU)
Result: FAIL
Comment 1 Jonathan Druart 2012-07-13 07:21:57 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-07-16 15:21:45 UTC Comment hidden (obsolete)
Comment 3 Mason James 2012-07-18 02:54:30 UTC Comment hidden (obsolete)
Comment 4 Mason James 2012-07-18 02:55:50 UTC
(In reply to comment #3)
> Created attachment 10916 [details] [review]
> Bug 8385: FIX spaces to make tt_valid.t happy
> 
> must be apply after Bug 8407
> Updated with last modification for Bug 8407
> 
> Signed-off-by: Mason James <mtj@kohaaloha.com>


patch looks good, signing-off
Comment 5 Jonathan Druart 2012-08-01 13:41:08 UTC
Created attachment 11257 [details] [review]
Bug 8385: Dirty patch to make tt_valid.t happy

A problem in routine text_replace_tag (tmpl_process3.pl) have to be
fixed to prevent this kind of dirty patch :)
Comment 6 Paul Poulain 2012-08-03 09:47:04 UTC
QA comment: this patch is needed because of the limits of our translation tools. Jonathan tried to fix it, but failed. So it's still required that there is no [% %] inside html, because the translation parser can't handle them at all.
Comment 7 Chris Cormack 2013-04-20 11:01:37 UTC
Released in 3.10.0